Name:       directory-maven-plugin
Version:    0.3.1
Release:    1%{?dist}
Summary:    The directory-maven-plugin helps establish locations for files in multimodule builds, where the directory structure referenced is stable and will always be intact.

License:    Apache-2.0
URL:        https://github.com/jdcasey/directory-maven-plugin

# original source: https://github.com/jdcasey/directory-maven-plugin/archive/directory-maven-plugin-0.3.1.tar.gz
Source0:    directory-maven-plugin-0.3.1.tar.gz

BuildRequires:  javapackages-tools maven-local
BuildRequires:  sonatype-oss-parent 
BuildRequires:  maven-parent maven-plugin-plugin maven-javadoc-plugin

Requires:   java-openjdk

Provides:   directory-maven-plugin = %{version}

%description
The Directory Plugin for Maven is used to discover various project-related paths,
such as the execution root directory, the directory for a specific project in the
current build session, or the highest project basedir (closed to the filesystem
root directory) available in the projects loaded from disk (not resolved from a
remote repository). The plugin will then reflect this value to the console, and
also inject it into each project's properties using the value of the property
plugin parameter.

%global debug_package %{nil}

%prep
%setup -q

%build
%mvn_build

%install
%mvn_install

%files
/usr/share/java/%{name}
/usr/share/javadoc/%{name}
/usr/share/maven-poms/%{name}
/usr/share/maven-metadata/%{name}.xml

%changelog
* Mon Oct 15 2018 Jie Kang <jkang@redhat.com> - 0.3.1-1
- Initial packaging
